/**
 * Copyright © 2012-2025 by Data Virtuality GmbH
 */
package org.teiid.translator.cassandra;

import org.teiid.i18n.InternalizationTestUtil;
import org.junit.jupiter.api.DynamicTest;
import org.junit.jupiter.api.TestFactory;

import java.util.stream.Stream;

/**
 * @author Serhii Bashniak
 * @date 2025.05.02
 */
public class I18nBundlesDynamicTest {

    @TestFactory
    Stream<DynamicTest> allPluginEventsHaveMessages() {
        InternalizationTestUtil util = new InternalizationTestUtil();
        return util.generateTests(
                this.getClass().getPackageName(),
                this.getClass().getPackageName(),
                1
        );
    }
}
